Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.log
Class SwimlaneAssignLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog
          org.jbpm.taskmgmt.log.SwimlaneLog
              org.jbpm.taskmgmt.log.SwimlaneAssignLog

All Implemented Interfaces:
  java.io.Serializable

    public class SwimlaneAssignLog

extends SwimlaneLog

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `swimlaneNewActorId`
`protected java.lang.String` | `swimlaneOldActorId`

Fields inherited from class org.jbpm.taskmgmt.log.SwimlaneLog
`swimlaneInstance`

Fields inherited from class org.jbpm.logging.log.ProcessLog
`date, index, parent, token`

Constructor Summary
`SwimlaneAssignLog()`
`SwimlaneAssignLog(SwimlaneInstance swimlaneInstance, java.lang.String swimlaneOldActorId, java.lang.String swimlaneNewActorId)`

Method Summary
`java.lang.String` | `getSwimlaneNewActorId()`
`java.lang.String` | `getSwimlaneOldActorId()`
`java.lang.String` | `toString()` provides a text description for this update which can be used e.g. in the admin web console.

Methods inherited from class org.jbpm.taskmgmt.log.SwimlaneLog
`getSwimlaneInstance`

Methods inherited from class org.jbpm.logging.log.ProcessLog
`getActorId, getDate, getId, getIndex, getParent, getToken, setDate, setIndex, setParent, setToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### swimlaneOldActorId

    protected java.lang.String swimlaneOldActorId

### swimlaneNewActorId

    protected java.lang.String swimlaneNewActorId

Constructor Detail

### SwimlaneAssignLog

    public SwimlaneAssignLog()

### SwimlaneAssignLog

    public SwimlaneAssignLog(SwimlaneInstance swimlaneInstance,
                             java.lang.String swimlaneOldActorId,
                             java.lang.String swimlaneNewActorId)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `ProcessLog`
  provides a text description for this update which can be used e.g. in the admin web console.

  Specified by:
    `toString` in class `ProcessLog`

### getSwimlaneNewActorId

    public java.lang.String getSwimlaneNewActorId()

### getSwimlaneOldActorId

    public java.lang.String getSwimlaneOldActorId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD